Fetch email templates by account id

http
GET https://services.leadconnectorhq.com/emails/builder

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KT
limitstringNo
offsetstringNo
searchstringNo
sortByDatestringNo
archivedstringNo
builderVersionstringNo
namestringNo
parentIdstringNo
originIdstringNove9EPM428h8vShlRW1KT
templatesOnlystringNo

Responses

200 - Success
  • name (string): template name Example: New Template

  • updatedBy (string): updated by Example: John Doe

  • isPlainText (boolean): plain text based template Example: false

  • lastUpdated (string): last updated Example: 2024-11-12T12:34:36.070Z

  • dateAdded (string): date added Example: 2024-11-12T12:34:36.070Z

  • previewUrl (string): preview url Example: https://example.com

  • id (string): id Example: 67334b231f2fad724062f52b5

  • version (string): version Example: 1

  • templateType (string): type Example: builder

json
{
  "name": "New Template",
  "updatedBy": "John Doe",
  "isPlainText": "false",
  "lastUpdated": "2024-11-12T12:34:36.070Z",
  "dateAdded": "2024-11-12T12:34:36.070Z",
  "previewUrl": "https://example.com",
  "id": "67334b231f2fad724062f52b5",
  "version": "1",
  "templateType": "builder"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
404 - Not Found
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/emails/builder' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?